TUNELP(8)

NAMN
tunelp - ställ in olika parametrar för lp-enheten

SYNOPSIS

tunelp [flaggor] enhet

BESKRIVNING

tunelp ställer in flera parametrar för /dev/lp?-enheterna, för bättre prestanda (eller för någon prestanda alls, om din skrivare inte fungerar utan den ...) Utan parametrar berättar den om enheten använder avbrott, och i så fall vilket. Med parametrar ställer den in enhetens egenskaper i enlighet med detta.

FLAGGOR

-i, --irq argument
    anger den IRQ som ska användas för parallellporten i fråga. Om detta är inställt på något annat än noll har -t och -c ingen effekt. Om din port inte använder avbrott kommer den här flaggan att stoppa utskriften. Med kommandot tunelp -i 0 återställs den icke avbrottsdrivna (polling) funktionen och skrivaren bör fungera igen. Om din parallellport har stöd för avbrott bör avbrottsstyrd utskrift vara något snabbare och effektivare, och är förmodligen önskvärd.

    OBS: Denna flagga kommer inte att ha någon effekt med kärnan 2.1.131 eller senare eftersom irq hanteras av parport-drivrutinen. Du kan t.ex. ändra parports irq via /proc/parport/*/irq. Läs /usr/src/linux/Documentation/admin-guide/parport.rst för mer information om parport.

-t, --time millisekunder
    är den tid i jiffies som drivrutinen väntar om skrivaren inte tar emot ett tecken under det antal försök som anges i parametern -c. 10 är standardvärdet. Om du vill ha snabbast möjliga utskrift och inte bryr dig om systembelastningen kan du sätta värdet till 0. Om du inte bryr dig om hur snabb skrivaren är, eller skriver ut text på en långsam skrivare med buffert, bör 500 (5 sekunder) vara bra och ge dig mycket låg systembelastning. Detta värde bör i allmänhet vara lägre för utskrift av grafik än text, med en faktor på cirka 10, för bästa prestanda.

-c, --chars characters
    är antalet gånger som man försöker skicka ut ett tecken till skrivaren innan man sover i -t TIME. Det är antalet gånger runt en slinga som försöker skicka ett tecken till skrivaren. 120 verkar vara ett bra värde för de flesta skrivare i polling-läge. 1000 är standardvärdet, eftersom det finns vissa skrivare som blir ryckiga annars, men du måste sätta detta till '1' för att hantera maximal CPU-effektivitet om du använder avbrott. Om du har en mycket snabb skrivare kan ett värde på 10 vara mer meningsfullt även i polling-läge. Om du har en riktigt gammal skrivare kan du öka detta ytterligare.

    Att sätta -t TIME till 0 motsvarar att sätta -c CHARS till oändligheten.

-w, --wait millisekunder
    är antalet usec som vi väntar på medan vi leker med strobesignalen. De flesta skrivare verkar kunna hantera en extremt kort strobesignal, men vissa skrivare kräver en längre strobesignal. Om du ökar detta från standardvärdet 1 kan det bli möjligt att skriva ut med dessa skrivare. Detta kan också göra det möjligt att använda längre kablar. Det är också möjligt att minska värdet till 0 om skrivaren är tillräckligt snabb eller maskinen är tillräckligt långsam.

-a, --abort <on|off>
    Detta är en fråga om huruvida skrivaren ska avbrytas vid fel - standardinställningen är att inte göra det. Om du sitter vid din dator vill du förmodligen kunna se ett fel och åtgärda det, så att skrivaren kan fortsätta skriva ut. Å andra sidan, om du inte gör det, kanske du hellre vill att din skrivarspooler upptäcker att skrivaren inte är klar, slutar försöka och skickar ett e-postmeddelande om det till dig. Valet är ditt.

-o, --check-status <on|off>
    Denna flagga är ungefär som -a. Det gör att alla open(2) för den här enheten kontrollerar att enheten är online och inte rapporterar några pappersfel eller andra fel. Detta är den korrekta inställningen för de flesta versioner av lpd.

-C, --careful <on|off>
    Denna flagga ger extra ("noggrann") felkontroll. När den här flaggan är aktiverat kommer skrivardrivrutinen att kontrollera att skrivaren är online och inte rapporterar några pappersfel eller andra fel innan data skickas. Detta är särskilt användbart för skrivare som normalt verkar acceptera data när de är avstängda.

    OBS: Den här flaggan är föråldrat eftersom det är standard i 2.1.131 kernel eller senare.

-s, --status
    Denna flagga returnerar aktuell skrivarstatus, både som ett decimaltal från 0..255 och som en lista över aktiva flaggor. När denna flagga anges är -q off, som stänger av visningen av aktuell IRQ, underförstått.

-r, --reset
    Denna flagga återställer porten. Det kräver en Linux-kärnversion på 1.1.80 eller senare.

-q, --print-irq <on|off>
    Med denna flagga kan du skriva ut visningen av den aktuella IRQ-inställningen.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

FILER

/dev/lp?, /proc/parport/*/*

ANTECKNINGAR

-o, -C och -s kräver alla en Linux-kärnversion på 1.1.76 eller senare.

-C requires a Linux version prior to 2.1.131.

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot tunelp ingår i paketet util-linux som kan hämtas från